<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <LinearLayout
        android:id="@+id/ll_item_rewards_expired_root"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_rewards_white_15conner_bg"
            android:paddingLeft="@dimen/d_15dp"
            android:paddingRight="@dimen/d_15dp"
            android:paddingBottom="@dimen/d_20dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingBottom="@dimen/d_5dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_20dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/iv_item_rewards_expired"
                        android:layout_width="87dp"
                        android:layout_height="58dp"
                        android:background="@color/page_bg_f4"
                        android:scaleType="centerCrop" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingLeft="10dp">

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/tv_item_rewards_expired_title"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="-2dp"
                            android:ellipsize="end"
                            android:lines="2"
                            android:text="Cute children multifunctional umbrella Cute children multifunctional umbrellaCute children multifunctional umbrella"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_16sp" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/d_5dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                                android:id="@+id/tv_item_rewards_expired_point"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="300"
                                android:textColor="@color/profile_red"
                                android:textSize="@dimen/d_17sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewLight
                                android:id="@+id/tv_item_rewards_expired_original_point"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_5dp"
                                android:text="350"
                                android:textColor="@color/item_light_gray"
                                android:textSize="@dimen/d_14sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewLight
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_5dp"
                                android:text="积分"
                                android:textColor="@color/item_light_gray"
                                android:textSize="@dimen/d_15sp" />

                        </LinearLayout>

                    </LinearLayout>

                </LinearLayout>

                <!--Redeem from-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/d_19dp"
                        android:layout_height="@dimen/d_19dp"
                        android:scaleType="centerCrop"
                        android:src="@drawable/iv_promotion_rewards_redeem_from" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_8dp"
                        android:text="兑换时间:"
                        android:textColor="@color/item_light_gray"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_item_rewards_expired_redeem_from"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_8dp"
                        android:text="17 Mar 2020 until 15 Jul 2020"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_8dp"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/iv_rewards_non_refundable" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_8dp"
                        android:text="This Rewards is non-refundable."
                        android:textColor="@color/profile_red"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

            </LinearLayout>

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_alignParentBottom="true"
                android:src="@drawable/iv_rewards_expired_icon" />

        </RelativeLayout>

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_10dp"
            android:src="@color/page_bg_f4" />

    </LinearLayout>

</layout>